---
default:
  image: registry.gitlab.com/unimatrixone/docker/packer:1.6.1-alpine3.12
  services:
  - docker:18.09.7-dind


variables:
  PACKER_PARELLEL_BUILDS: "4"


before_script:
  - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  - echo "locals { docker_repository = \"$CI_REGISTRY_IMAGE\" }" > local.pkr.hcl
  - cat local.pkr.hcl


Latest: &JOB_BUILD
  variables:
    PACKER_TARGET: docker.latest
  script:
  - docker pull $CI_REGISTRY_IMAGE:latest || true
  - >
    packer build
    -parallel-builds=$PACKER_PARELLEL_BUILDS
    -only=$PACKER_TARGET
    .


Alpine:
  <<: *JOB_BUILD
  variables:
    PACKER_TARGET: docker.alpine


Gitlab:
  <<: *JOB_BUILD
  variables:
    PACKER_TARGET: docker.gitlab
